"""==============================================================
با فرض اینکه آرایه ۱۰۰ عنصر A قبلاً ذخیره شده است. منطق برنامه ای
را طراحی کنید که ترتیب عناصر ارایه را ارزشیابی کند و مشخص کند
که آیا عناصر آرایه به صورت صعودی یا نزولی مرتب شده اند یا اینکه
نامرتب هستند ASC را به نشانه ترتیب صعودی و DES را به نشانه ترتیب
نزولی و U را به نشانه نامرتب بودن چاپ کند.
=============================================================="""

A = [1,1,1,1,2]

k = 1
for i in range(len(A)-1):
    if A[i] <= A[i+1]:
        k+=1
if k == len(A):
    print("ASC")
else:
    k = 1
    for i in range(len(A)-1):
        if A[i] >= A[i + 1]:
            k += 1
    if k == len(A):
        print("DES")
    else:
        print("U")